StarObjectModelInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::State Struct Reference

Internal: the state of a StarObjectModel. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_previewMasterPage
| the default master page: -1 means not found, in general 1 in StarDrawDocument
std::vector< std::shared_ptr< Page > > | m_pageList
| list of pages
std::vector< std::shared_ptr< Page > > | m_masterPageList
| list of master pages
std::map< int, Layer > | m_idToLayerMap
| a map layerId to layer
std::vector< LayerSet > | m_layerSetList
| the list of layer set
std::vector< int > | m_pageToSendList
| the list of page to send
std::set< int > | m_masterPageToSendSet
| the list of master page to send
std::map< int, std::shared_ptr< StarObjectSmallGraphic > > | m_idToObjectMap
| a map objectId to object

## Friends
std::ostream & | operator<< (std::ostream &o, State const &state)
| small operator<< to print the content of the state

## Detailed Description

Internal: the state of a StarObjectModel.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectModelInternal::State::State | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | State const & | state )
| friend

small operator<< to print the content of the state

## Member Data Documentation

## ◆ m_idToLayerMap

std::map<int, Layer> StarObjectModelInternal::State::m_idToLayerMap

a map layerId to layer

## ◆ m_idToObjectMap

std::map<int, std::shared_ptr<StarObjectSmallGraphic> > StarObjectModelInternal::State::m_idToObjectMap

a map objectId to object

## ◆ m_layerSetList

std::vector<LayerSet> StarObjectModelInternal::State::m_layerSetList

the list of layer set

## ◆ m_masterPageList

std::vector<std::shared_ptr<Page> > StarObjectModelInternal::State::m_masterPageList

list of master pages

## ◆ m_masterPageToSendSet

std::set<int> StarObjectModelInternal::State::m_masterPageToSendSet

the list of master page to send

## ◆ m_pageList

std::vector<std::shared_ptr<Page> > StarObjectModelInternal::State::m_pageList

list of pages

## ◆ m_pageToSendList

std::vector<int> StarObjectModelInternal::State::m_pageToSendList

the list of page to send

## ◆ m_previewMasterPage

int StarObjectModelInternal::State::m_previewMasterPage

the default master page: -1 means not found, in general 1 in StarDrawDocument

The documentation for this struct was generated from the following file:

- StarObjectModel.cxx